/* GCNcrypt - Gamecube AR Crypto Program
 *
 * Copyright notice for this file:
 *  Copyright (C) 2003 Parasyte
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

typedef unsigned int u32;
typedef unsigned short u16;
typedef unsigned char u8;

typedef signed int s32;
typedef signed short s16;
typedef signed char s8;


//max text size for edit boxes.
#define TEXTSIZE 32767

#define GETVAL(a) (strchr(filter,a) - filter)
#define ISALPHA(a) (strchr(filter,a)?1:0)
#define ISHEX(a) (strchr(hex,a)?1:0)

//alphanumeric filter for text<->bin conversion
const char filter[33] = "0123456789ABCDEFGHJKMNPQRTUVWXYZ";
const char hex[17] = "0123456789ABCDEF";


u16 gameid=0;
u8 dogameid=1;

//win32 stuff
HWND hWindow;
HINSTANCE ghInstance;
HICON iWindow;
HFONT hFont,hNewFont;
